#include  "uartGetPut.h"
#include  <hw_types.h>
#include  <hw_memmap.h>
#include  <sysctl.h>
#include  <gpio.h>
#include  <uart.h>
#include  <ctype.h>


#define  SysCtlPeriEnable       SysCtlPeripheralEnable


//  UARTʼ
void uartInit(void)
{
    SysCtlPeriEnable(SYSCTL_PERIPH_UART0);                  //  ʹUARTģ
    SysCtlPeriEnable(SYSCTL_PERIPH_GPIOA);                  //  ʹRX/TXڵGPIO˿

    GPIOPinTypeUART(GPIO_PORTA_BASE,                        //  RX/TXڹܽΪ
                    GPIO_PIN_0 | GPIO_PIN_1);               //  UARTշ

    UARTConfigSet(UART0_BASE,                               //  UART˿
                  9600,                                     //  ʣ9600
                  UART_CONFIG_WLEN_8 |                      //  λ8
                  UART_CONFIG_STOP_ONE |                    //  ֹͣλ1
                  UART_CONFIG_PAR_NONE);                    //  Уλ

    UARTEnable(UART0_BASE);                                 //  ʹUART˿
}


//  ͨUARTһַ
void uartPutc(const char c)
{
    UARTCharPut(UART0_BASE, c);
}


//  ͨUARTַ
void uartPuts(const char *s)
{
    while (*s != '\0') uartPutc(*(s++));
}


//  ͨUARTһַ
char uartGetc(void)
{
    return(UARTCharGet(UART0_BASE));
}

