#include "cry1602.h"
#include "hw_memmap.h"
#include "hw_types.h"
#include "debug.h"
#include "gpio.h"
#include "sysctl.h"
 
#define uchar unsigned char
#define uint unsigned int
#define lcdEN GPIO_PORTD_BASE,GPIO_PIN_2
#define lcdRS GPIO_PORTD_BASE,GPIO_PIN_3
#define lcdRW GPIO_PORTD_BASE,GPIO_PIN_4

void GPIO_1602init()
{
	 SysCtlPeripheralEnable(SYSCTL_PERIPH_GPIOG|SYSCTL_PERIPH_GPIOD);
     GPIOPinTypeGPIOOutput(GPIO_PORTG_BASE,0XFF);
	 GPIOPinTypeGPIOOutput(GPIO_PORTD_BASE,0Xff);
}
void write_com(uchar com)
{
	 uint i;
	 GPIOPinWrite (lcdRS,0X00);
	 GPIOPinWrite (lcdRW,0X00);
	 GPIOPinWrite (GPIO_PORTG_BASE,0XFF,com);
	 for(i=0xff;i>0;i--);
	 GPIOPinWrite (lcdEN,0X04);
	  for(i=0xff;i>0;i--);
	  for(i=0xff;i>0;i--);
	  for(i=0xff;i>0;i--);
	  for(i=0xff;i>0;i--);
	  for(i=0xff;i>0;i--);
	  for(i=0xff;i>0;i--);
	 GPIOPinWrite (lcdEN,0X00);
}

void write_date(uchar data)
{
	 uint i;
	 GPIOPinWrite (lcdRS,0X08);
	 GPIOPinWrite (lcdRW,0X00);
	 GPIOPinWrite (GPIO_PORTG_BASE,0XFF,data);
	 for(i=0xff;i>0;i--);
	  
	 GPIOPinWrite (lcdEN,0X04);
	 for(i=0xff;i>0;i--);
	 for(i=0xff;i>0;i--);
	 for(i=0xff;i>0;i--);	
	 for(i=0xff;i>0;i--);
	 for(i=0xff;i>0;i--);
	 for(i=0xff;i>0;i--);
	 GPIOPinWrite (lcdEN,0X00);
}
void lcd_1602init()
{
	 GPIO_1602init();
	 GPIOPinWrite (lcdEN,0X00);
	 write_com(0x38);
	 write_com(0x0c);
	 write_com(0x06);
	 write_com(0x01);
}

