#include  "systemInit.h"
#include  "uartGetPut.h"
#include  <systick.h>
#include  <adc.h>
#include  <stdio.h>


#define  ADCSequEnable          ADCSequenceEnable
#define  ADCSequDisable         ADCSequenceDisable
#define  ADCSequConfig          ADCSequenceConfigure
#define  ADCSequStepConfig      ADCSequenceStepConfigure
#define  ADCSequDataGet         ADCSequenceDataGet

void Delay(unsigned long ulVal);

tBoolean ADC_EndFlag = false;                               //  ADCתı־


//  ϵͳĶʱʼ
void SysTickInit(void)
{
    SysTickPeriodSet(TheSysClock);                          //  SysTickֵ
    SysTickIntEnable();                                     //  ʹSysTickж
    IntMasterEnable();                                      //  ʹܴж
    SysTickEnable();                                        //  ʹSysTick
}


//  ADCʼ

void adcInit(void)
{
    SysCtlPeriEnable(SYSCTL_PERIPH_ADC);                    //  ʹADCģ
    SysCtlADCSpeedSet(SYSCTL_ADCSPEED_125KSPS);             //  ADC
    ADCSequDisable(ADC_BASE, 0);                            //  ǰȽֹ

    //  ãADCַбţ¼ȼ
    ADCSequConfig(ADC_BASE, 0, ADC_TRIGGER_PROCESSOR, 0);

    //  ãADCַбţֵͨ
    ADCSequStepConfig(ADC_BASE, 0, 0, ADC_CTL_TS |
                                      ADC_CTL_END |
                                      ADC_CTL_IE);

    ADCIntEnable(ADC_BASE, 0);                              //  ʹADCж
    IntEnable(INT_ADC0);                                    //  ʹADCж
    IntMasterEnable();                                      //  ʹܴж

    ADCSequEnable(ADC_BASE, 0);                             //  ʹܲ
}


//  ADC
unsigned long adcSample(void)
{
    unsigned long ulValue;

    ADCProcessorTrigger(ADC_BASE, 0);                       //  
    while (!ADC_EndFlag);                                   //  ȴ
    ADC_EndFlag = false;                                    //  ADC־
    ADCSequDataGet(ADC_BASE, 0, &ulValue);                  //  ȡADCת

    return(ulValue);
}


//  ʾоƬ¶ֵ

void lcd_1692dispaly(unsigned long ulValue)
{
    unsigned long ulTmp;
    char cBuf[40];

    ulTmp = 151040UL - 225 * ulValue;

    sprintf(cBuf, "%ld.", ulTmp / 1024);
    uartPuts(cBuf);

    sprintf(cBuf, "%ld", (ulTmp % 1024) / 102);
    uartPuts(cBuf);

    uartPuts("\r\n");	
	write_com(0x80);
	write_date(cBuf);
}

int main(void)
{
    unsigned long ulValue;
	SysCtlClockSet(SYSCTL_SYSDIV_1|SYSCTL_XTAL_8MHZ|SYSCTL_USE_OSC| SYSCTL_OSC_MAIN);
    clockInit();                                            //  ʱӳʼPLL12.5MHz
    uartInit();                                             //  UARTʼ
    adcInit();                                              //  ADCʼ
    SysTickInit();                                          //  ϵͳĶʱʼ
    for (;;)
    {
        SysCtlSleep();                                      //  ˯ߣٺĵԽ¶
        ulValue = adcSample();                              //  ѺADC¶Ȳ	
	    lcd_1602init();
		lcd_1692dispaly(ulValue);
		                                                     
    }

}



//  SysTickжϷ
void SysTick_ISR(void)
{
    //  ڻCPUҪ
}


//  ADC0ж
void ADC_Sequence_0_ISR(void)
{
    unsigned long ulStatus;

    ulStatus = ADCIntStatus(ADC_BASE, 0, true);             //  ȡж״̬
    ADCIntClear(ADC_BASE, 0);                               //  ж״̬Ҫ

    if (ulStatus != 0)                                      //  ж״̬Ч
    {
        ADC_EndFlag = true;                                 //  λADC־
    }
}
void Delay(unsigned long ulVal)
{
	while(ulVal--)
	{
	 
	}
}

